set nu rnu
imap kj <Esc>
set ts=4
set sw=4
set sts=4
set et
set mouse=

call plug#begin(stdpath('data') . '/plugged')
"Plug 'prabirshrestha/vim-lsp'
"Plug 'mattn/vim-lsp-settings'
"Plug 'prabirshrestha/asyncomplete.vim'
"Plug 'prabirshrestha/asyncomplete-lsp.vim'
"Plug 'Yggdroot/indentLine'
Plug 'nvim-treesitter/nvim-treesitter', {'do':':TSUpdate'}
Plug 'vim-pandoc/vim-pandoc'
Plug 'vim-pandoc/vim-pandoc-syntax'
Plug 'dhruvasagar/vim-table-mode'
Plug '~/.config/nvim/after'
Plug 'skywind3000/asyncrun.vim'
Plug 'folke/tokyonight.nvim', {'branch':'main'}
Plug 'nvim-lualine/lualine.nvim'
Plug 'nvim-tree/nvim-web-devicons'
Plug 'ms-jpq/coq_nvim', {'branch':'coq'}
Plug 'ms-jpq/coq.artifacts', {'branch':'artifacts'}
Plug 'nvim-orgmode/orgmode'
call plug#end()

"Load Theme
colorscheme tokyonight-night

"Load COQ Autocomplete
let g:coq_settings = {'auto_start':'shut-up'}

"Load LuaLine, COQ, and nvim-orgmode
lua << END
require('lualine').setup()
require('coq')
require('orgmode').setup_ts_grammar()
require('nvim-treesitter.configs').setup {
    highlight = {
        enable = true,
        additional_vim_regex_highlighting = {'org'},
    },
    ensure_installed = {'org', 'vim'},
}

require('orgmode').setup({
    org_agenda_files = {'~/Sync/org/**/*'},
    org_default_notes_file = '~/Sync/org/refile.org',
})

vim.opt.conceallevel = 2
vim.opt.concealcursor = nc

--local lspconfig = require('lspconfig')
END

"asynccomplete Auto Complete Config
"inoremap <expr> <Tab>   pumvisible() ? "\<C-n>" : "\<Tab>"
"inoremap <expr> <S-Tab> pumvisible() ? "\<C-p>" : "\<S-Tab>"
"inoremap <expr> <cr>    pumvisible() ? asyncomplete#close_popup() : "\<cr>"

"vim-pandoc config
let g:pandoc#modules#disabled = ['spell', 'folding']

"vim-table-mode config
let g:table_mode_corner_corner='+'
let g:table_mode_header_fillchar='='

"pandoc render and open preview
command Pv AsyncRun zathura '%:r.pdf'
command Rd silent exec "!pandoc -t pdf -o %:r.pdf --from=markdown+escaped_line_breaks -V geometry:margin=1in %"
command Rr exec "!pandoc -t pdf -o %:r.pdf --from=markdown+escaped_line_breaks -V geometry:margin=1in %"

"Auto-rerender markdown files to pdf
autocmd BufWritePost *.mkd :Rd
